Description

Context:

In order to identify each task, we use an internal code as a prefix of each subject task. Whe we need to display a list of task that

match a specific code we use the filter on the subject.

Problem:

The problem is that there is only type of filter is "contains" that will search the text pattern at any position of the string, so it can

happend that a character combination inside the strign match the condition.

Possible solutions:

Add a filter type "start with" (like Excel)

Add a filter type based on regular expression

Related issues:

Related to Redmine - Feature #2942: More criteria for filtering tickets 'text... New 2009-03-10

Related to Redmine - Feature #31879: "starts with" and "ends with" filter ope... Closed

History

#1 - 2009-04-16 18:21 - loic Le Gallou

link with #2942

#2 - 2014-06-26 21:23 - James H

+1

Ran into this need today.

Need subject filter to be more flexible and powerful. Just contains is not enough and I need to be able to filter based on multiple subject values, i.e.

[Subject1] AND [Subject2] AND [Subject3]

Having OR capability would also be ideal.

#3 - 2014-07-26 13:13 - Toshi MARUYAMA

- Category set to Issues

#4 - 2019-08-12 05:56 - Go MAEDA

- Related to Feature #31879: "starts with" and "ends with" filter operators for string values added

#5 - 2022-06-30 14:50 - Go MAEDA

- Category changed from Issues to Issues filter

- Status changed from New to Closed

- Resolution set to Fixed

Closing this issue:

"Starts with" and "Ends with" operators are implemented in Redmine 4.1.0 (#31879)

"Contains" operator supports multiple search terms since Redmine 5.0.0 (#35764)
